Skip to main content
GET
/
v1
/
ramp
/
transfer
/
{order_id}
Retrieve Transfer
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/transfer/{order_id} \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "order_id": "4ac8736d-1de6-4667-b4ff-c033664e8333",
    "short_order_id": "ES260123-KNFKPTT7",
    "sell_currency": "USDT",
    "sell_amount": "100",
    "buy_currency": "USD",
    "buy_amount": "99.95",
    "quote_price": "0.99954469",
    "processing_fee": "0",
    "network_fee": "0",
    "status": "Pending",
    "create_time": "2026-01-23 13:53:10 +08:00",
    "settle_time": "",
    "reason": "123"
  }
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

order_id
string<uuid>
required

Transaction ID (long)

Response

Successfully retrieved transfer

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required

Retrieve Transfer response (section 4.2.2)